Exchange 2016: Prerequisites

This tutorial describes the Windows operating system prerequisites for Exchange 2016 and Exchange management tools.

 

It will provide the sequence of steps for installing the required Windows Server 2012 and Windows Server 2012 R2 operating system pre-requirements for the Exchange 2016 Mailbox and Edge Transport server functional roles. It also offers the prerequisites needed to install and configure the Exchange 2016 management tools on Windows 8.1 and Windows 10 client computers.

 

1.    What do you need to know before you begin?

2.    Active Directory preparation
3.    Windows Server 2012 and Windows Server 2012 R2 prerequisites

a.    Mailbox server role
b.    Edge Transport server role

 

4.    Windows 8.1 and Windows 10 prerequisites (admin tools only)

 

1) What do you require to know before you begin?

 

    • Ensure that the functional level of your forest is utmost Windows Server 2008, and the schema master is running Windows Server 2008 or later version. The full installation and configuration option for Windows Server 2012 and Windows Server 2012 R2 should be used for all servers executing Exchange 2016 server functional roles or management tools and mechanism.

 

    • You should primarily join the computer to the suitable internal Active Directory forest and domain.

 

    • Some pre-requisitions require you to reboot and restart the server to finish installation.

 

  • Install the current latest Windows updates or upgrades on your computer.

 

Kindly Note:
Upgrading Windows from one version to another or from Standard to Datacenter is not allowed, while Exchange is installed on the server.

 

2) Active Directory preparation

The computer which needs to be prepared with Active Directory for Exchange 2016 has particular prerequisites that should be met and addressed.

 

Primarily, install .NET Framework 4.5.2 on the computer which is supposed to be used for the preparation of the Active Directory.

 

After the installation of the above listed software has been conducted, complete the given sequence of steps to setup, install and configure the Remote Tools Administration Pack. After the installation of the Remote Tools Administration Pack, you’ll be allowed to use the computer to prepare Active Directory.

 

1. Open up the Windows PowerShell and then
2. Install and configure the Remote Tools Administration Pack by giving the following command.

Install-WindowsFeature RSAT-ADDS

 

3)Windows Server 2012 and Windows Server 2012 R2 require prerequisites

Require prerequisites which are needed to install and configure the Exchange 2016 on computers running  with Windows Server 2012 or Windows Server 2012 R2 rely and based upon which Exchange role you wish to install and configure. Read the section given below which tally with the role you wish to install.

 

3.1)Mailbox server role
Follow  to track the instructions in this section to install and configure the prerequisites on computers executing Windows Server 2012 or Windows Server 2012 R2 where you want to install, setup  and configure the Mailbox server functional role.

 

Perform the following to install and configure the required Windows functional roles and features:

 

1. Open Windows PowerShell.

 

2. Run to execute the following command for installing the required Windows components.

 

Install-WindowsFeature AS-HTTP-Activation, Desktop-Experience, NET-Framework-45-Features, RPC-over-HTTP-proxy, RSAT-Clustering, RSAT-Clustering-CmdInterface, RSAT-Clustering-Mgmt, RSAT-Clustering-PowerShell, Web-Mgmt-Console, WAS-Process-Model, Web-Asp-Net45, Web-Basic-Auth, Web-Client-Auth, Web-Digest-Auth, Web-Dir-Browsing, Web-Dyn-Compression, Web-Http-Errors, Web-Http-Logging, Web-Http-Redirect, Web-Http-Tracing, Web-ISAPI-Ext, Web-ISAPI-Filter, Web-Lgcy-Mgmt-Console, Web-Metabase, Web-Mgmt-Console, Web-Mgmt-Service, Web-Net-Ext45, Web-Request-Monitor, Web-Server, Web-Stat-Compression, Web-Static-Content, Web-Windows-Auth, Web-WMI, Windows-Identity-Foundation, RSAT-ADDS

 

After installation of the operating system functional roles and features has been performed, install to configure the following software in the order shown below:

 

1) .NET Framework 4.5.2

 

Note :

.NET Framework 4.6.1 is substantially supported with Exchange 2016 CU2 and later supported with the following (listed below) post-release fixes or patches for .NET Framework. In case you are upgrading to Exchange 2016 CU2 and later from Exchange 2016 CU1 and earlier, we strictly recommend that firstly you install and configure Exchange 2016 CU2.

 

o    Windows Server 2012 R2 – Hotfix rollup for the .NET Framework 4.6 and 4.6.1 in Windows (KB3146715) 64 bit

o    Windows Server 2012 – Hotfix rollup for the .NET Framework 4.6 and 4.6.1 in Windows (KB3146714) 64 bit

 

2) Microsoft Unified Communications Managed API 4.0, Core Runtime 64-bit

 

 3.2 Edge Transport server role

Follow  and track the instructions in this section to install , setup and configure the prerequisites on computers running , executing on Windows Server 2012 or Windows Server 2012 R2 where you wish to install  and configure the Edge Transport server functional role.

 

Perform the following to install and configure the required Windows functional roles and features:

 

    1. Open Windows PowerShell.

 

  1. Execute the command mentioned below to install the required Windows components.

Install- WindowsFeature ADLDS

 

After the installation of the operating system functional roles and features, install and configure the .NET Framework 4.5.2

 

NOTE:

.NET Framework 4.6.1 is substantially support Exchange 2016 CU2 and later supported with the following post-release patches or fixes for .NET Framework. In case you’re updating or upgrading to Exchange 2016 CU2 and later from Exchange 2016 CU1 and earlier, we strictly suggest that at first you install Exchange 2016 CU2.

 

•    Windows Server 2012 R2 – Hotfix rollup for the .NET Framework 4.6 and 4.6.1 in Windows (KB3146715) 64 bit

•    Windows Server 2012 – Hotfix rollup for the .NET Framework 4.6 and 4.6.1 in Windows (KB3146714) 64 bit

 

4)Windows 10 and Windows 8.1 prerequisites (admin mechanism tools only)

The ONLY require prerequisite which needs to be installed on Windows 8.1 computers is the installation of the .NET Framework 4.5.2 .

 

The default configuration and installation of Windows 10 addresses all of the needed prerequisites to install and configure the Exchange 2016 admin tools.

Kristin is a content strategist at Techarex Networks. Kristin follows the B2B technology space closely and loves to write on the latest changes in technology, futuretech and fixes for day to day how to issues. Besides writing Kristin also loves music, moves and skating.

Techarex Networks provides the complete range of Hosted Exchange solutions and services, giving access to reliable, secure, messaging and collaborative enterprise-grade solutions having 99.999% uptime with unmatched SLA. Provide enterprise-level sync with Outlook Web App and mobile devices. Anywhere, anytime access using Instant Message and video calling integration.